def test_github_connector_is_initialized(github_connector):
    assert github_connector is not None
    assert github_connector.settings.token is not None


def test_get_latest_release(github_connector, latest_keepassxc):
    release_assets = github_connector.get_release_assets_list(
        latest_keepassxc.release_url
    )
    assert len(release_assets) == 27


def test_get_some_release(github_connector, keepassxc):
    release_asset_list = github_connector.get_release_assets_list(keepassxc.release_url)
    assert len(release_asset_list) == 27


def test_get_release_asset(github_connector, keepassxc):
    release_asset = github_connector.get_release_asset(keepassxc)
    assert release_asset.name == keepassxc.filename


def test_download_release_asset(github_connector, asset):
    release_asset_file = github_connector.download_release_asset(asset)
    assert len(release_asset_file) == 98
    assert (
        release_asset_file
        == b"2a868b681a8ec4e381ac14203aec3d80ff6fa7a535fa102265a3ec9329b4b846  KeePassX"
        b"C-2.7.9-x86_64.AppImage\n"
    )


def test_download_software(github_connector, keepassxc_digest):
    release_asset_file = github_connector.download_software(keepassxc_digest)
    assert len(release_asset_file) == 98
    assert (
        release_asset_file
        == b"796c4c0ad20b124476195dacd7f86c75be51cace1c734174ec293c46f41c3d05  KeePassX"
        b"C-2.7.7-x86_64.AppImage\n"
    )
